/// <reference types="node" />
import { AttachmentNativeBinding } from "../types";
import { NodeTrustedMailcore2NativeBinding } from '../types/NodeTrustedMailcore2NativeBinding';
declare const bindings: NodeTrustedMailcore2NativeBinding;
/**
 * Attachment Class
 *
 * @public
 */
declare class Attachment extends bindings.Attachment {
    /**
     * Wrapping object handle
     *
     * @internal
     */
    handle: AttachmentNativeBinding;
    constructor(bufData?: Buffer, fileName?: string);
    /**
     * Part ID getter
     *
     *
     * @type {string}
     * @memberof Attachment
     */
    get partId(): string;
    /**
     * Part ID setter
     *
     *
     * @type {string}
     * @memberof Attachment
     */
    set partId(prtId: string);
    /**
     * data getter
     *
     *
     * @type {Buffer}
     * @memberof Attachment
     */
    get data(): Buffer;
    /**
     * data setter
     *
     *
     * @type {Buffer}
     * @memberof Attachment
     */
    set data(val: Buffer);
    /**
     * decodedString getter
     *
     *
     * @type {string}
     * @memberof Attachment
     */
    get decodedString(): string;
    /**
     * File name getter
     *
     *
     * @type {string}
     * @memberof Attachment
     */
    get filename(): string;
    /**
     * File name setter
     *
     *
     * @type {string}
     * @memberof Attachment
     */
    set filename(val: string);
    /**
     * MIME type getter
     *
     *
     * @type {string}
     * @memberof Attachment
     */
    get mimeType(): string;
    /**
     * MIME type setter
     *
     *
     * @type {string}
     * @memberof Attachment
     */
    set mimeType(val: string);
    /**
     * Charset getter
     *
     *
     * @type {string}
     * @memberof Attachment
     */
    get charset(): string;
    /**
     * Charset setter
     *
     *
     * @type {string}
     * @memberof Attachment
     */
    set charset(val: string);
    /**
     * Uniqe ID getter
     *
     *
     * @type {string}
     * @memberof Attachment
     */
    get uniqeID(): string;
    /**
     * Uniqe ID setter
     *
     *
     * @type {string}
     * @memberof Attachment
     */
    set uniqeID(val: string);
    /**
     * Content ID getter
     *
     *
     * @type {string}
     * @memberof Attachment
     */
    get contentID(): string;
    /**
     * Content ID setter
     *
     *
     * @type {string}
     * @memberof Attachment
     */
    set contentID(val: string);
    /**
     * Content location getter
     *
     *
     * @type {string}
     * @memberof Attachment
     */
    get contentLocation(): string;
    /**
     * Content location setter
     *
     *
     * @type {string}
     * @memberof Attachment
     */
    set contentLocation(val: string);
    /**
     * Content description getter
     *
     *
     * @type {string}
     * @memberof Attachment
     */
    get contentDescription(): string;
    /**
     * Content description setter
     *
     *
     * @type {string}
     * @memberof Attachment
     */
    set contentDescription(val: string);
}
export { Attachment };
//# sourceMappingURL=Attachment.d.ts.map